FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 03-24-2008, 01:08 PM
Patrick Holthaus
 
Default Error emerging gtk+ Pango not found (expat issue or not?)

Hi Gentooers!

I don't know if I am facing the expat issue or not. gtk fails with the
following error message:

> checking Pango flags...
> -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
> -I/usr/include/cairo -I/usr/include/freetype2
> -I/usr/include/libpng12 -I/usr/include/pixman-1
> -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0
> configure: error:
> *** Can't link to Pango. Pango is required to build
> *** GTK+. For more information see http://www.pango.org

However revdep-rebuild --library=libexpat.so.0 doesn't show anything. I
already did the following:

> emerge -1 gettext XML-Parser
> revdep-rebuild -i

That didn't help so I also tried:

> emerge -1 fontconfig pango

That one did not make it any better. So I tried unmerging cairo and pango:

> emerge -C cairo pango gtk+

Cairo and pango emerged fine after that but gtk+ is still failing. Now I don't
have gtk+ anymore Atfer that I tried rebuilding every package that depends
on expat. Still no luck

Someone knows a solution?

I'm on ~x86 with cairo-1.5.12, pango-1.20.0, expat-2.0.1. Tried gtk+-2.12.8
and 2.12.9.

Thanks
Patrick
--
gentoo-user@lists.gentoo.org mailing list
 
Old 03-24-2008, 02:05 PM
Enrico Weigelt
 
Default Error emerging gtk+ Pango not found (expat issue or not?)

* Patrick Holthaus <patrick.holthaus@uni-bielefeld.de> wrote:
> Hi Gentooers!
>
> I don't know if I am facing the expat issue or not. gtk fails with the
> following error message:
>
> > checking Pango flags...
> > -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
> > -I/usr/include/cairo -I/usr/include/freetype2
> > -I/usr/include/libpng12 -I/usr/include/pixman-1
> > -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0
> > configure: error:
> > *** Can't link to Pango. Pango is required to build
> > *** GTK+. For more information see http://www.pango.org
>

What does config.out say about this ?


cu
--
---------------------------------------------------------------------
Enrico Weigelt == metux IT service - http://www.metux.de/
---------------------------------------------------------------------
Please visit the OpenSource QM Taskforce:
http://wiki.metux.de/public/OpenSource_QM_Taskforce
Patches / Fixes for a lot dozens of packages in dozens of versions:
http://patches.metux.de/
---------------------------------------------------------------------
--
gentoo-user@lists.gentoo.org mailing list
 
Old 03-24-2008, 02:25 PM
Patrick Holthaus
 
Default Error emerging gtk+ Pango not found (expat issue or not?)

Hi!

> What does config.out say about this ?

There is no config.out in /var/tmp/portage. You can find build.log and
config.log here:

http://big.homeftp.net/~pholthau/

Tell me if you need other files aswell.

Patrick
--
gentoo-user@lists.gentoo.org mailing list
 
Old 03-24-2008, 11:16 PM
Enrico Weigelt
 
Default Error emerging gtk+ Pango not found (expat issue or not?)

* Patrick Holthaus <patrick.holthaus@uni-bielefeld.de> wrote:

> > What does config.out say about this ?
>
> There is no config.out in /var/tmp/portage. You can find build.log and
> config.log here:

yeah, I meant config.log ;-o ... and it clearly tells what's wrong.
cairo's obviously built w/ GL, and your GL library is broken.
In no way surprising, since it's NVidia's proprietary crap.

You could try switching to another GL (via eselect) or rebuilding
cairo w/o GL.

BTW: if you experience system lockups or X11 crashes, also the
NVidia driver may be the source of evil.

Sad but true: there is *NO* reliable 3D driver for recent NVidia
cards. NV's proprietary driver is crap, and they're totally unwilling
to support OSS community in any way. So if you really want GL,
either try software rendering (via mesa) or get a supported card.
(I've got the same problem - didn't properly check before bying )


cu
--
---------------------------------------------------------------------
Enrico Weigelt == metux IT service - http://www.metux.de/
---------------------------------------------------------------------
Please visit the OpenSource QM Taskforce:
http://wiki.metux.de/public/OpenSource_QM_Taskforce
Patches / Fixes for a lot dozens of packages in dozens of versions:
http://patches.metux.de/
---------------------------------------------------------------------
--
gentoo-user@lists.gentoo.org mailing list
 

Thread Tools




All times are GMT. The time now is 02:45 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org